%define name	asterisk-prepaid
%define version	0.3.1
%define release	1mdk

Summary:	Prepaid and Calling Card billing modules for Asterisk
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://sourceforge.net/projects/asteriskbilling/
Group:		System/Servers
Source0:	%{name}-%{version}.tar.bz2
Patch0:		asterisk-prepaid-0.3.1-mdk.diff.bz2
BuildRequires:	asterisk-devel
BuildRequires:	postgresql-devel
BuildRequires:	postgresql-libs-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Prepaid and Calling Card billing modules for Asterisk

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1 -b .mdk

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done
    
# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

%build

%make -C apps \
    OPTIMIZE="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/asterisk
install -d %{buildroot}%{_libdir}/asterisk
install -m0644 conf/prepaid.conf %{buildroot}%{_sysconfdir}/asterisk/
install -m0644 conf/callingcard.conf %{buildroot}%{_sysconfdir}/asterisk/
install -m0755 apps/app_callingcard.so %{buildroot}%{_libdir}/asterisk/
install -m0755 apps/app_prepaid_auth_cid.so %{buildroot}%{_libdir}/asterisk/
install -m0755 apps/app_prepaid_auth_pin.so %{buildroot}%{_libdir}/asterisk/
install -m0755 apps/app_prepaid_rate.so %{buildroot}%{_libdir}/asterisk/
install -m0755 apps/app_prepaid_rateplan.so %{buildroot}%{_libdir}/asterisk/

# fix docs
cp apps/README README.apps
cp sounds/readme README.sounds

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc database README*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/asterisk/prepaid.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/asterisk/callingcard.conf
%attr(0755,root,root) %{_libdir}/asterisk/app_callingcard.so
%attr(0755,root,root) %{_libdir}/asterisk/app_prepaid_auth_cid.so
%attr(0755,root,root) %{_libdir}/asterisk/app_prepaid_auth_pin.so
%attr(0755,root,root) %{_libdir}/asterisk/app_prepaid_rate.so
%attr(0755,root,root) %{_libdir}/asterisk/app_prepaid_rateplan.so

%changelog
* Mon Sep 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.1-1mdk
- initial mandrake package
